%define	name	krb5
%define version 1.3.6
%define release 6mdk

%define	major	3
%define	libname	%mklibname %name %major

# enable checking after compile
%define enable_check 0
%{?_with_check: %global %enable_check 1}

Summary:	The Kerberos network authentication system
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
Source1:	kpropd.init.bz2
Source2:	krb524d.init.bz2
Source3:	kadmind.init.bz2
Source4:	krb5kdc.init.bz2
Source5:	krb5.conf.bz2
Source6:	krb5.sh.bz2
Source7:	krb5.csh.bz2
Source8:	kdcrotate.bz2
Source9:	kdc.conf.bz2
Source10:	kadm5.acl.bz2
Source11:	krsh.bz2
Source12:	krlogin.bz2
Source13:	eklogin.xinetd.bz2
Source14:	klogin.xinetd.bz2
Source15:	kshell.xinetd.bz2
Source16:	telnet-krb5.xinetd.bz2
Source17:	ftp-krb5.xinetd.bz2
Source18:	krb5server.init.bz2
Source19:	statglue.c.bz2
Source20:	telnet.16.xpm.bz2
Source21:	telnet.32.xpm.bz2
Source22:	telnet.48.xpm.bz2
Source23:	Mandrake-Kerberos-HOWTO.html.bz2
Source24:	%{name}-%{version}.tar.gz.asc
Source25:	http://web.mit.edu/kerberos/www/advisories/2003-004-krb4_patchkit.tar.gz
Source26:	http://web.mit.edu/kerberos/www/advisories/2003-004-krb4_patchkit.sig

Patch0:		krb5-1.2.2-telnetbanner.patch.bz2
Patch1:		krb5-1.2.5-biarch-utmp.patch.bz2
Patch2:		krb5-1.3-newline.patch.bz2
Patch3:		krb5-1.3-telnet.patch.bz2
Patch4:		krb5-1.3-no-rpath.patch.bz2

# stolen from fedora
Patch5:		krb5-1.3-info-dir.patch.bz2
Patch6:		krb5-1.3-large-file.patch.bz2
Patch7:		krb5-1.3-ksu-path.patch.bz2
Patch8:		krb5-1.3-ksu-access.patch.bz2
Patch9:		krb5-1.3-pass-by-address.patch.bz2
Patch10:	krb5-1.3-netkit-rsh.patch.bz2
Patch11:	krb5-1.3-rlogind-environ.patch.bz2
Patch12:	krb5-1.3-ktany.patch.bz2
Patch13:	krb5-1.3-ftp-glob.patch.bz2
#Patch14:	krb5-1.3.1-dns.patch.bz2
Patch15:	krb5-1.3.1-varargs.patch.bz2
Patch16:	krb5-1.3.1-server-sort.patch.bz2
Patch17:	krb5-1.3.1-null.patch.bz2
Patch18:	krb5-1.3.2-efence.patch.bz2
Patch19:	krb5-1.3.3-rcp-sendlarge.patch.bz2
#Patch20:	2004-002-patch_1.3.4.txt.bz2
#Patch21:	2004-003-asn1buf_patch.txt.bz2
Patch22:	krb5-1.3.5-gethostbyname_r.patch.bz2
# (gb) preserve file names when generating files from *.et (multiarch fixes)
Patch23:	krb5-1.3.6-et-preserve-file-names.patch.bz2
Patch24:	2005-001-patch_1.4.txt.bz2

License:	MIT
URL:		http://web.mit.edu/kerberos/www/
Group:		System/Libraries
Prereq:		/sbin/install-info
BuildRequires:	bison flex termcap-devel texinfo e2fsprogs-devel
BuildRequires:	tcl chrpath
%if %enable_check
BuildRequires:	dejagnu
%endif
BuildRequires:	multiarch-utils >= 1.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.

%package -n	%{libname}-devel
Summary:	Development files needed for compiling Kerberos 5 programs
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	krb-devel = %{version}-%{release}
Provides:	krb5-devel = %{version}-%{release}
Provides:	libkrb51-devel
Provides:	libkrb-devel
Obsoletes:	krb-devel 
Obsoletes:	krb5-devel
Obsoletes:	libkrb51-devel

%description -n	%{libname}-devel
Kerberos is a network authentication system.  The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you'll
need to install this package.

%package -n	%{libname}
Summary:	The shared libraries used by Kerberos 5
Group:		System/Libraries
Provides:	krb5-libs = %{version}-%{release}
Provides:	libkrb51
Obsoletes:	krb5-libs
Obsoletes:	libkrb51

%description -n	%{libname}
Kerberos is a network authentication system.  The krb5-libs package
contains the shared libraries needed by Kerberos 5.  If you're using
Kerberos, you'll need to install this package.

%package	server
Group:		System/Servers
Summary:	The server programs for Kerberos 5
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-workstation = %{version}-%{release}
Requires:	words
Prereq:		/sbin/install-info

%description	server
Kerberos is a network authentication system.  The krb5-server package
contains the programs that must be installed on a Kerberos 5 server.
If you're installing a Kerberos 5 server, you need to install this
package (in other words, most people should NOT install this
package).

%package	workstation
Summary:	Kerberos 5 programs for use on workstations
Group:		System/Base
Requires:	%{libname} = %{version}-%{release}
Prereq:		/sbin/install-info
Conflicts:	rsh <= 0.17-12mdk

%description	workstation
Kerberos is a network authentication system.  The krb5-workstation
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd). If your network uses Kerberos, this package should be installed
on every workstation.

%package -n	telnet-server-krb5
Summary:	A telnet-server with kerberos support
Group:		Networking/Remote access
Requires:	%{libname} = %{version}-%{release}
Requires:	xinetd
Obsoletes:	telnet-server
Provides:	telnet-server

%description -n	telnet-server-krb5
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet-server package provides a telnet daemon, which will support remote
logins into the host machine. The telnet daemon is enabled by default. You may
disable the telnet daemon by editing /etc/inetd.conf.

Install the telnet-server package if you want to support remote logins to your
machine.

This version supports kerberos authentication.

%package -n	telnet-client-krb5
Summary:	A telnet-client with kerberos support
Group:		Networking/Remote access
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	telnet
Provides:	telnet
 
%description -n	telnet-client-krb5
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet package provides a command line telnet client.

Install the telnet package if you want to telnet to remote machines.

This version supports kerberos authentication.

%package -n	ftp-client-krb5
Summary:	A ftp-client with kerberos support
Group:		Networking/File transfer
Requires:	%{libname} = %{version}
Obsoletes:	ftp
Provides:	ftp

%description -n	ftp-client-krb5
The ftp package provides the standard UNIX command-line FTP client.
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

If your system is on a network, you should install ftp in order to do
file transfers.

This version supports kerberos authentication.

%package -n	ftp-server-krb5
Summary:	A ftp-server with kerberos support
Group:		Networking/File transfer
Requires:	%{libname} = %{version}
Provides:	ftpserver

%description -n	ftp-server-krb5
The ftp-server package provides an ftp server.

This version supports kerberos authentication.

%prep
%setup -q -a 25
%patch0 -p1 -b .banner
%patch1 -p1 -b .biarch-utmp
%patch2 -p1 -b .newline
%patch3 -p1 -b .telnet
%patch4 -p1 -b .no-rpath
%patch5  -p1 -b .info-dir
%patch6  -p1 -b .large-file
%patch7  -p1 -b .ksu-path
%patch8  -p1 -b .ksu-access
%patch9  -p1 -b .pass-by-address
%patch10  -p1 -b .netkit-rsh
%patch11  -p1 -b .rlogind-environ
%patch12  -p1 -b .ktany
%patch13  -p1 -b .ftp-glob
#%patch14 -p1 -b .dns 
%patch15 -p1 -b .varargs
%patch16 -p1 -b .server-sort
%patch17 -p1 -b .null 
%patch18 -p1 -b .efence
%patch19 -p1 -b .rcp-sendlarge
#%patch20 -p0 -b .2004-002
#%patch21 -p0 -b .2004-003
%patch22 -p1 -b .gethostbyname_r
%patch23 -p1 -b .et-preserve-file-names
pushd src/appl/telnet/telnet
%patch24 -p0 -b .mitkrb5-sa-2005-001
popd

find . -type f -name "*.fixinfo" -exec rm -fv "{}" ";"
gzip doc/*.ps

find -name "*\.h" | xargs perl -p -i -e "s|\<com_err|\<et/com_err|";
find -name "*\.h" | xargs perl -p -i -e "s|\"com_err|\"et/com_err|";

%build
export CFLAGS=-I/usr/include/et 
find . -name "*.[ch]"|xargs grep -r -l "^extern int errno;" * | xargs perl -p -i -e "s|^extern int errno;|#include <errno.h>|"
find . -name "*.[ch]"|xargs grep -r -l "extern int errno;" * | xargs perl -p -i -e "s|^extern int errno;||"

cd src
%{?__cputoolize: %{__cputoolize} -c config}

# Can't use %%configure because we don't use the default mandir.
#--with-ccopts="$RPM_OPT_FLAGS $ARCH_OPT_FLAGS -fPIC" \
LDCOMBINE_TAIL="-lc"; export LDCOMBINE_TAIL
DEFINES="-D_FILE_OFFSET_BITS=64" ; export DEFINES
# res_search is #define's as __res_search thus failing the name lookup
# in libresolv. Should make a clean patch to *.m4 so that <resolv.h>
# is #include'd prior to checking for that symbol
# CFLAGS="%{optflags} $ARCH_OPT_FLAGS $DEFINES -fPIC" \
env ac_cv_lib_resolv_res_search=yes ./configure \
	--prefix=%_prefix \
	--infodir=%{_infodir} \
	--mandir=%{buildroot}%{_mandir} \
	--localstatedir=/etc/kerberos \
	--with-krb4 \
	--enable-dns \
	--with-tcl=%_prefix \
	--with-system-et \
	--with-system-ss \
	--libexecdir=%{_libdir} \
	--libdir=%{_libdir} \
	--enable-shared   \
	--enable-static  

find . -name Makefile | xargs perl -p -i -e 's@-Wl,-rpath -Wl,\$\(PROG_RPATH\)+@@';
find . -name Makefile | xargs perl -p -i -e 's@PROG_RPATH\=\$\(KRB5_LIBDIR\)+@PROG_RPATH\=@';
find . -name Makefile | xargs perl -p -i -e 's/TCL_RPATH\s+\=\s+\@TCL_RPATH\@+/TCL_RPATH\=/';
find . -name Makefile | xargs perl -p -i -e 's/PROG_RPATH\s+\=\s+\$\(TCL_RPATH\)+/TCL_RPATH\=/';
find . -name Makefile | xargs perl -p -i -e 's/\@SHLIB_RPATH_DIRS\@+//';
find . -name Makefile | xargs perl -p -i -e "s@ %{_libdir}@ %{buildroot}%{_libdir}@";
%make RPATH_FLAG= PROG_RPATH= LDCOMBINE='%{__cc} -shared -Wl,-soname=lib$(LIB)$(SHLIBSEXT) $(CFLAGS)'

# Run the test suite.  Won't run in the build system because /dev/pts is
# not available for telnet tests and so on.
# make check TMPDIR=%{_tmppath}

%install
rm -rf %{buildroot}

# Our shell scripts.
install -d %{buildroot}%{_bindir}
bzcat %{SOURCE11} > %{buildroot}%{_bindir}/krsh
bzcat %{SOURCE12} > %{buildroot}%{_bindir}/krlogin

# Extra headers.
install -d %{buildroot}%{_includedir}
pushd src/include
    find kadm5 krb5 gssrpc gssapi -name "*.h" | cpio -pdm  %{buildroot}%{_includedir}
popd
perl -pi -e 's#k5-int#krb5/kdb#g' %{buildroot}%{_includedir}/kadm5/admin.h
find %{buildroot}%{_includedir} -type d | xargs chmod 755
find %{buildroot}%{_includedir} -type f | xargs chmod 644

#logdir
install -d %{buildroot}/var/log/kerberos

# Info docs.
install -d %{buildroot}%{_infodir}
install -m 644 doc/*.info* %{buildroot}%{_infodir}/

# KDC config files.
install -d %{buildroot}%{_sysconfdir}/kerberos/krb5kdc
bzcat %{SOURCE9} > %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kdc.conf
bzcat %{SOURCE10} > %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kadm5.acl

# Client config files and scripts.
install -d %{buildroot}/etc/profile.d
bzcat %{SOURCE5} > %{buildroot}%{_sysconfdir}/krb5.conf
bzcat %{SOURCE6} > %{buildroot}%{_sysconfdir}/profile.d/krb5.sh
bzcat %{SOURCE7} > %{buildroot}%{_sysconfdir}/profile.d/krb5.csh

# KDC init script.
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}

bzcat %{SOURCE4} > %{buildroot}%{_initrddir}/krb5kdc
bzcat %{SOURCE3} > %{buildroot}%{_initrddir}/kadmin
bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/kprop
bzcat %{SOURCE2} > %{buildroot}%{_initrddir}/krb524
bzcat %{SOURCE8} > %{buildroot}%{_sbindir}/kdcrotate
bzcat %{SOURCE18} > %{buildroot}%{_initrddir}/krb5server

# The rest of the binaries and libraries and docs.
pushd src
find . -name Makefile | xargs perl -p -i -e "s@ %{_libdir}@ %{buildroot}%{_libdir}@";
make prefix=%{buildroot}%{_prefix} \
	localstatedir=%{buildroot}%{_sysconfdir}/kerberos \
	infodir=%{buildroot}%{_infodir} \
 	libdir=%{buildroot}%{_libdir} install
popd

# Fixup strange shared library permissions.
chmod 755 %{buildroot}%{_libdir}/*.so*

# Xinetd configuration files.
install -d %{buildroot}%{_sysconfdir}/xinetd.d/
bzcat %{SOURCE16} > %{buildroot}%{_sysconfdir}/xinetd.d/telnet
bzcat %{SOURCE17} > %{buildroot}%{_sysconfdir}/xinetd.d/ftp
bzcat %{SOURCE23} > doc/Mandrake-Kerberos-HOWTO.html

# Rename rsh, rlogin and rcp to not conflict with those provided by netkit
for i in rcp rlogin rsh; do
    mv %{buildroot}%{_bindir}/$i %{buildroot}%{_bindir}/$i.krb5
    mv %{buildroot}%{_mandir}/man1/$i.1 %{buildroot}%{_mandir}/man1/$i.krb5.1
done

# strip rpath
chrpath -d %{buildroot}%{_libdir}/*so*
strip %{buildroot}%{_bindir}/{ksu,v4rcp}

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/krb5-config
%multiarch_includes %{buildroot}%{_includedir}/gssapi/gssapi.h
# (gb) this one could be fixed differently and properly using <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/gssrpc/types.h
%multiarch_includes %{buildroot}%{_includedir}/krb5/k5-config.h
%multiarch_includes %{buildroot}%{_includedir}/krb5/autoconf.h
%multiarch_includes %{buildroot}%{_includedir}/krb5/osconf.h
%multiarch_includes %{buildroot}%{_includedir}/krb5.h

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post server
# Remove the init script for older servers.
[ -x /etc/rc.d/init.d/krb5server ] && /sbin/chkconfig --del krb5server
# Install the new ones.
/sbin/chkconfig --add krb5kdc
/sbin/chkconfig --add kadmin
/sbin/chkconfig --add krb524
/sbin/chkconfig --add kprop
%_install_info krb425.info
%_install_info krb5-admin.info
%_install_info krb5-install.info

%preun server
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del krb5kdc
	/sbin/chkconfig --del kadmin
	/sbin/chkconfig --del krb524
	/sbin/chkconfig --del kprop
	/sbin/service krb5kdc stop > /dev/null 2>&1 || :
	/sbin/service kadmin stop > /dev/null 2>&1 || :
	/sbin/service krb524 stop > /dev/null 2>&1 || :
	/sbin/service kprop stop > /dev/null 2>&1 || :
fi
%_remove_install_info krb425.info
%_remove_install_info krb5-admin.info
%_remove_install_info krb5-install.info

%postun server
if [ "$1" -ge 1 ] ; then
	/sbin/service krb5kdc condrestart > /dev/null 2>&1 || :
	/sbin/service kadmin condrestart > /dev/null 2>&1 || :
	/sbin/service krb524 condrestart > /dev/null 2>&1 || :
	/sbin/service kprop condrestart > /dev/null 2>&1 || :
fi

%post workstation
%_install_info krb5-user.info
/sbin/service xinetd reload > /dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_bindir}/rcp rcp %{_bindir}/rcp.krb5 20 --slave %{_mandir}/man1/rcp.1.bz2 man-rcp %{_mandir}/man1/rcp.krb5.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/rlogin rlogin %{_bindir}/rlogin.krb5 20 --slave %{_mandir}/man1/rlogin.1.bz2 man-rlogin %{_mandir}/man1/rlogin.krb5.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/rsh rsh %{_bindir}/rsh.krb5 20 --slave %{_mandir}/man1/rsh.1.bz2 man-rsh %{_mandir}/man1/rsh.krb5.1.bz2

%preun workstation
%_remove_install_info krb5-user.info
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove rcp %{_bindir}/rcp.krb5
  %{_sbindir}/update-alternatives --remove rlogin %{_bindir}/rlogin.krb5
  %{_sbindir}/update-alternatives --remove rsh %{_bindir}/rsh.krb5
fi

%postun workstation
/sbin/service xinetd reload > /dev/null 2>&1 || :

%triggerpostun workstation -- %{name}-workstation <= 1.3-4mdk
if [ ! -f %{_bindir}/rcp ]; then
  %{_sbindir}/update-alternatives --install %{_bindir}/rcp rcp %{_bindir}/rcp.krb5 20 --slave %{_mandir}/man1/rcp.1.bz2 man-rcp %{_mandir}/man1/rcp.krb5.1.bz2
  %{_sbindir}/update-alternatives --install %{_bindir}/rlogin rlogin %{_bindir}/rlogin.krb5 20 --slave %{_mandir}/man1/rlogin.1.bz2 man-rlogin %{_mandir}/man1/rlogin.krb5.1.bz2
  %{_sbindir}/update-alternatives --install %{_bindir}/rsh rsh %{_bindir}/rsh.krb5 20 --slave %{_mandir}/man1/rsh.1.bz2 man-rsh %{_mandir}/man1/rsh.krb5.1.bz2
fi

%post -n telnet-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :
ln -sf /bin/login /usr/sbin/login.krb5
file="/etc/xinetd.d/telnet"
if [ ! -f $file ] ; then
	echo "Can't find xinetd file for telnet."
	exit 1
fi
perl -pi -e "s|/usr/sbin/in\.telnetd|/usr/sbin/telnetd|g" $file
# We already have the required flags (-a <some_auth_mode>)
cat $file|egrep -q "server_args.*=.*-a[[:space:]]+.*$" && exit 0
# Don't have -a <some_auth_mode>, check if we have server_args or not
cat $file|egrep -q "server_args.*=.*$" && \
	perl -pi -e "s|(server_args.*=.*$)|\1\ -a\ none|" $file && exit 0
# Say, no server_args in xinetd file.
perl -pi -e "s|(server.*=.*/usr/sbin/telnetd.*$)|\1\n\tserver_args\t=\ -a\ none|" $file && exit 0

%postun -n telnet-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :

%post -n telnet-client-krb5

%postun -n telnet-client-krb5

%post -n ftp-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :
ln -sf /bin/login /usr/sbin/login.krb5
file="/etc/xinetd.d/ftp"
if [ ! -f $file ] ; then
	echo "Can't find xinetd file for ftp."
	exit 1
fi

%postun -n ftp-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files workstation
%defattr(-,root,root)
%config(noreplace) /etc/profile.d/krb5.sh
%config(noreplace) /etc/profile.d/krb5.csh
%doc doc/*.html doc/user*.ps.gz src/config-files/services.append
%attr(0755,root,root) %doc src/config-files/convert-config-files
%{_infodir}/krb5-user.info*
%{_bindir}/gss-client
%{_bindir}/kdestroy
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kerberos.1*
%{_bindir}/kinit
%{_mandir}/man1/kinit.1*
%{_bindir}/klist
%{_mandir}/man1/klist.1*
%{_bindir}/kpasswd
%{_mandir}/man1/kpasswd.1*
%{_bindir}/krb524init
%{_sbindir}/kadmin
%{_mandir}/man8/kadmin.8*
%{_sbindir}/ktutil
%{_mandir}/man8/ktutil.8*
%attr(0755,root,root) %{_bindir}/ksu
%{_mandir}/man1/ksu.1*
%{_bindir}/kvno
%{_mandir}/man1/kvno.1*
%{_bindir}/rcp.krb5
%{_mandir}/man1/rcp.krb5.1*
%attr(0755,root,root) %{_bindir}/krlogin
%{_bindir}/rlogin.krb5
%{_mandir}/man1/rlogin.krb5.1*
%attr(0755,root,root) %{_bindir}/krsh
%{_bindir}/rsh.krb5
%{_mandir}/man1/rsh.krb5.1*
%{_mandir}/man1/tmac.doc*
%attr(0755,root,root) %{_bindir}/v4rcp
%{_mandir}/man1/v4rcp.1*
%{_bindir}/v5passwd
%{_mandir}/man1/v5passwd.1*
%{_bindir}/sim_client
%{_bindir}/uuclient
%{_sbindir}/login.krb5
%{_mandir}/man8/login.krb5.8*
%{_sbindir}/gss-server
%{_sbindir}/klogind
%{_mandir}/man8/klogind.8*
%{_sbindir}/krb5-send-pr
%{_mandir}/man1/krb5-send-pr.1*
%{_sbindir}/kshd
%{_mandir}/man8/kshd.8*
%{_sbindir}/uuserver
%{_mandir}/man5/.k5login.5*
%{_mandir}/man5/krb5.conf.5*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config(noreplace) %{_initrddir}/krb5kdc
%attr(0755,root,root) %config(noreplace) %{_initrddir}/kadmin
%attr(0755,root,root) %config(noreplace) %{_initrddir}/krb524
%attr(0755,root,root) %config(noreplace) %{_initrddir}/kprop
%attr(0755,root,root) %config(noreplace) %{_initrddir}/krb5server
%doc doc/admin*.ps.gz doc/*html
%doc doc/krb425*.ps.gz 
%doc doc/install*.ps.gz
%{_infodir}/krb5-admin.info*
%{_infodir}/krb5-install.info*
%{_infodir}/krb425.info*
%dir /var/log/kerberos
%dir %{_sysconfdir}/kerberos/krb5kdc 
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kdc.conf
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kadm5.acl
%{_mandir}/man5/kdc.conf.5*
%{_sbindir}/kadmin.local
%{_mandir}/man8/kadmin.local.8*
%{_sbindir}/kadmind
%{_mandir}/man8/kadmind.8*
%{_sbindir}/kadmind4
%{_sbindir}/kdb5_util
%{_mandir}/man8/kdb5_util.8*
%{_sbindir}/kprop
%{_mandir}/man8/kprop.8*
%{_sbindir}/kpropd
%{_mandir}/man8/kpropd.8*
%{_sbindir}/krb524d
%{_sbindir}/krb5kdc
%{_mandir}/man8/k5srvutil.8*
%{_sbindir}/k5srvutil
%{_mandir}/man8/krb5kdc.8*
%{_sbindir}/sim_server
%{_sbindir}/v5passwdd
# This is here for people who want to test their server, and also 
# included in devel package for similar reasons.
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*
%attr(0755,root,root) %{_sbindir}/kdcrotate
%{_datadir}/gnats/mit

%files -n %{libname}
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/krb5.conf
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/api
%doc doc/implement
%doc doc/kadm5
%doc doc/kadmin
%doc doc/krb5-protocol
%doc doc/rpc
%multiarch %{multiarch_bindir}/krb5-config
%multiarch %{multiarch_includedir}/gssapi/gssapi.h
%multiarch %{multiarch_includedir}/gssrpc/types.h
%multiarch %{multiarch_includedir}/krb5/k5-config.h
%multiarch %{multiarch_includedir}/krb5/autoconf.h
%multiarch %{multiarch_includedir}/krb5/osconf.h
%multiarch %{multiarch_includedir}/krb5.h
%{_includedir}/*
%{_bindir}/krb5-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*

%files -n telnet-server-krb5
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/telnet
%{_sbindir}/telnetd
%{_mandir}/man8/telnetd.8*

%files -n telnet-client-krb5
%defattr(-,root,root)
%{_bindir}/telnet
%{_mandir}/man1/telnet.1*

%files -n ftp-client-krb5
%defattr(-,root,root)
%{_bindir}/ftp
%{_mandir}/man1/ftp.1*

%files -n ftp-server-krb5
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/ftp
%{_sbindir}/ftpd
%{_mandir}/man8/ftpd.8*

%changelog
* Wed Apr  6 2005 Daouda LO <daouda@mandrakesoft.com> 1.3.6-6mdk
  o Tue Mar 29 2005 Vincent Danen <vdanen@mandrakesoft.com> 1.3.4-2.2.101mdk
  - security fix for CAN-2005-0468, CAN-2005-0469

* Thu Mar 10 2005 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-5mdk
- reupload

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.6-4mdk
- multiarch + also preserve file names when generating headers from *.h files

* Sat Feb 12 2005 Pascal Terjan <pterjan@mandrake.org> 1.3.6-3mdk
- fix patch 13 causing segfault in ftp

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.6-2mdk
- fix deps and %%multiarch
- fix no-reload-entry in the krb5server, krb524 and kprop init scripts

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.6-1mdk
- 1.3.6
- don't use chrpath on static libraries
- summary-ended-with-dot
- macroize

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.5-1mdk
- 1.3.5
- add P22 from fedora
- drop P20 & P21 (merged upstream)

* Fri Oct 08 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.3.4-2mdk
- include security patches (P20, P21) for CAN-2004-0642, CAN-2004-0643,
  CAN-2004-0644, CAN-2004-0772

* Sat Aug 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4
- added P19 (fedora)
- enable static devel libs
- misc spec file fixes

* Fri May 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.3-4mdk
- fix buildrequires
- spec cosmetics

* Mon May 17 2004 Florin <florin@mandrakesoft.com> 1.3.3-3mdk
- ugly rpath fix (brr, I hate to do that :o) )
- strip _bindir binaries

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 1.3.3-2mdk
- add the 5-18 patches
- fix the master-key entry in kdc.conf

* Sun May 09 2004 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- spec cleanups

* Wed Mar  3 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3-6mdk
- fix buildrequires

* Sat Feb 14 2004 Abel Cheung <deaddog@deaddog.org> 1.3-5mdk
- Remove menu entry
- Use alternatives for tools conflicting with netkit rsh

* Sat Jan 17 2004 Abel Cheung <deaddog@deaddog.org> 1.3-4mdk
- Move krb5-config to devel package
- Use _install_info
- Patch38: Don't output any rpath related flags to krb5-config

* Tue Sep 02 2003 Florin <florin@mandrakesoft.com> 1.3-3mdk
- replace <com_err.h> with <et/com_err.h> in the headers

* Mon Aug  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-2mdk
- cputoolize
- Put back Patch27 (biarch-utmp)
- BuildRequires: libext2fs-devel

* Tue Jul 22 2003 Florin <florin@mandrakesoft.com> 1.3-1mdk
- 1.3
- libification for the krb5-libs package
- use the system err headers
- add telnet newline patch
- drop lost of useless patches
- add the post sections for ftp-server
- TODO: update some patches(if possible)

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.7-5mdk
- Rebuild
- Add patch51 fix compile thanks Gwenole Beauchesne

* Tue Jun  3 2003 Stefan van der Eijk <stefan@eijk.nu> 1.2.7-4mdk
- rebuild for rpm-4.2
- remove redundant BuildRequires

* Mon Apr  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-3mdk
- Patch27: Handle biarch struct utmp
- Patch28: Fix deps, I want parallel build

* Tue Apr 1 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.2.7-2mdk
- security fixes:
  - MITKRB5-SA-2003-003 (P50)
  - MITKRB5-SA-2003-005 (P51)
  - MITKRB5-SA-2003-004 (S25 and S26)

* Wed Jan 22 2003 Florin <florin@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7
- remove patch 26 and 27

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.5-4mdk
- krb5-devel: provides/obsoletes krb-devel
- remove useless prefix
- requires s/shutils/coreutils/

* Wed Oct 30 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.5-3mdk
- Requires: words on krb5-server (re: stefan@eijk.nu)
- fix typo in kadmin initscript (re: stefan@eijk.nu)

* Tue Oct 29 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.5-2mdk
- P28: fix remote root hole in kadm4

* Thu Aug 29 2002 Florin <florin@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- add db2-configure and xdr_array patches
- add the krb5-%{version}.tar.gz.asc and main source in gz format

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-3mdk
- Patch28: Correctly search for tclConfig.sh
- Patch27: Build libdb.a with PIC code on the appropriate arches since
  they turn out to be linked into shared objects
- res_search is #define's as __res_search and then fails to be found
  as is in libresolv. Should make a clean patch to *.m4 so that
  <resolv.h> is #include'd prior to checking for that symbol

* Mon Jun 17 2002 Florin <florin@mandrakesoft.com> 1.2.4-2mdk
- recompile against the matest gcc
- add some error messages in kadmind init script (thx to  V.A. Brennen)

* Mon Apr 08 2002 Florin <florin@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- keep only the enable dns option (remove the netlib option)

* Tue Mar 05 2002 Florin <florin@mandrakesoft.com> 1.2.2-17mdk
- do not use authentication as default for the ftpd server

* Fri Jan 11 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.2-16mdk
- Don't print a whole load of system information in telnet.

* Wed Oct 17 2001 Florin <florin@mandrakesoft.com> 1.2.2-15mdk
- don't use LOG_AUTH as an option value when calling openlog() in ksu (#45965)
- add the fix buffer overflow telnetd patch
- better initscripts (use variables and add reload entries)
- fix telnet client (remove the 8 bit telnet patch)
- add patch to support "ANY" keytab type 
(i.e.,"default_keytab_name = ANY:FILE:/etc/krb5.keytab,
SRVTAB:/etc/srvtab" patch from Gerald Britton, #42551)
- build with -D_FILE_OFFSET_BITS=64 to get large file I/O in ftpd (#30697)
- patch ftpd to use long long and %%lld format specifiers to 
support the SIZE command on large files (also #30697)
- clean patches

* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-14mdk
- BuildRequires: cpio

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.2-13mdk
- Make use of [[:space:]] in scriptlets of telnet-server-krb5.

* Thu Sep 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.2-12mdk
- In %post of telnet daemon make it so that we start the correct daemon
  and with our default authentication mode if no authentication mode
  is specified whenever we are doing upgrades with a modified 
  /etc/xinetd.d/telnet configuration file (Very obscure bug).
  
* Fri Sep 21 2001 Florin <florin@mandrakesoft.com> 1.2.2-11mdk
- oh, this krb5.csh again (thanks again Konrad Bernloehr)

* Thu Sep 20 2001 Florin <florin@mandrakesoft.com> 1.2.2-10mdk
- fix the /etc/profile.d/krb5.csh

* Wed Sep 12 2001 Florin <florin@mandrakesoft.com> 1.2.2-9mdk
- add krb5-1.2.2-telnet-8bit.patch.bz2 (thx to G.Lee)

* Wed Aug 29 2001 Florin <florin@mandrakesoft.com> 1.2.2-8mdk
- fix the /etc/profile.d/krb5.csh
(thx to Konrad Bernloehr for pointing this out)
- remove the e2fsprogs-devel from BuildPrereq

* Fri Aug 24 2001 Florin <florin@mandrakesoft.com> 1.2.2-7mdk
- s/valid/none for the telnet-server xinetd.d/telnet file
- create /usr/sbin/login.krb5 in post for telnet-server-krb5
- s/-a// for the ftp-server xinetd.d/ftp file
- fix perms for kdcrotate 

* Thu Aug 09 2001 Florin <florin@mandrakesoft.com> 1.2.2-6mdk
- fix the rpmlint rpath error 

* Wed Aug 08 2001 Florin <florin@mandrakesoft.com> 1.2.2-5mdk
- fix the krb5.conf and the kdc.conf sources
- add the Mandrake-Kerberos-HOWTO.html
- move the kdcrotate script to %{_sbindir} in server
- get rid of BUILD_SOURCE_DIR
- bzip all the sources

* Mon Aug 06 2001 Florin <florin@mandrakesoft.com> 1.2.2-4mdk
- add the telnet*xpm sources and {telnet,ftp} xinetd files 
- generate also the {telnet,ftp}-{server,client}-krb5 packages
- fix the krb5.conf entry in the kdcrotate initscript
- fix the kpropd and the krb5server initscript

* Fri Aug 03 2001 Florin <florin@mandrakesoft.com> 1.2.2-3mdk
- modify the krb5server initscript
- add a working configuration: update krb5.conf, krbkdc.conf 
- add the /var/log/kerberos dir

* Tue Jul 31 2001 Florin <florin@mandrakesoft.com> 1.2.2-2mdk
- krb5.conf needs to go under sysconfdir obviously
- add the *.h files in devel (I have forgotten them, oups)

* Tue Jul 3 2001 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- mandrake adaptions

* Tue May 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- pass some structures by address instead of on the stack in krb5kdc

* Tue May 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Apr 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- add patch from Tom Yu to fix ftpd overflows

* Wed Apr 18 2001 Than Ngo <than@redhat.com>
- disable optimizations on the alpha again

* Fri Mar 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- add in glue code to make sure that libkrb5 continues to provide a
  weak copy of stat()

* Thu Mar 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- build alpha with -O0 for now

* Thu Mar  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix the kpropd init script

* Mon Mar  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.2, which fixes some bugs relating to empty ETYPE-INFO
- re-enable optimization on Alpha

* Thu Feb  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- build alpha with -O0 for now
- own %{_var}/kerberos

* Tue Feb  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- own the directories which are created for each package (#26342)

* Tue Jan 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- gettextize init scripts

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- add some comments to the ksu patches for the curious
- re-enable optimization on alphas

* Mon Jan 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix krb5-send-pr (#18932) and move it from -server to -workstation
- buildprereq libtermcap-devel
- temporariliy disable optimization on alphas
- gettextize init scripts

* Tue Dec  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- force -fPIC

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Oct 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- add bison as a BuildPrereq (#20091)

* Mon Oct 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- change /usr/dict/words to /usr/share/dict/words in default kdc.conf (#20000)

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply kpasswd bug fixes from David Wragg

* Wed Oct  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- make krb5-libs obsolete the old krb5-configs package (#18351)
- don't quit from the kpropd init script if there's no principal database so
  that you can propagate the first time without running kpropd manually
- don't complain if /etc/ld.so.conf doesn't exist in the -libs %post

* Tue Sep 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix credential forwarding problem in klogind (goof in KRB5CCNAME handling)
  (#11588)
- fix heap corruption bug in FTP client (#14301)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summaries and descriptions
- switched the default transfer protocol from PORT to PASV as proposed on
  bugzilla (#16134), and to match the regular ftp package's behavior

* Wed Jul 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Fri Jul 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable servers by default to keep linuxconf from thinking they need to be
  started when they don't

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- change cleanup code in post to not tickle chkconfig
- add grep as a Prereq: for -libs

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- move condrestarts to postun
- make xinetd configs noreplace
- add descriptions to xinetd configs
- add /etc/init.d as a prereq for the -server package
- patch to properly truncate $TERM in krlogind

* Fri Jun 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.1
- back out Tom Yu's patch, which is a big chunk of the 1.2 -> 1.2.1 update
- start using the official source tarball instead of its contents

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- Tom Yu's patch to fix compatibility between 1.2 kadmin and 1.1.1 kadmind
- pull out 6.2 options in the spec file (sonames changing in 1.2 means it's not
  compatible with other stuff in 6.2, so no need)

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak graceful start/stop logic in post and preun

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to the 1.2 release
- ditch a lot of our patches which went upstream
- enable use of DNS to look up things at build-time
- disable use of DNS to look up things at run-time in default krb5.conf
- change ownership of the convert-config-files script to root.root
- compress PS docs
- fix some typos in the kinit man page
- run condrestart in server post, and shut down in preun

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- only remove old krb5server init script links if the init script is there

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable kshell and eklogin by default

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch mkdir/rmdir problem in ftpcmd.y
- add condrestart option to init script
- split the server init script into three pieces and add one for kpropd

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure workstation servers are all disabled by default
- clean up krb5server init script

* Fri Jun  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply second set of buffer overflow fixes from Tom Yu
- fix from Dirk Husung for a bug in buffer cleanups in the test suite
- work around possibly broken rev binary in running test suite
- move default realm configs from /var/kerberos to %{_var}/kerberos

* Tue Jun  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- make ksu and v4rcp owned by root

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- use %%{_infodir} to better comply with FHS
- move .so files to -devel subpackage
- tweak xinetd config files (bugs #11833, #11835, #11836, #11840)
- fix package descriptions again

* Wed May 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- change a LINE_MAX to 1024, fix from Ken Raeburn
- add fix for login vulnerability in case anyone rebuilds without krb4 compat
- add tweaks for byte-swapping macros in krb.h, also from Ken
- add xinetd config files
- make rsh and rlogin quieter
- build with debug to fix credential forwarding
- add rsh as a build-time req because the configure scripts look for it to
  determine paths

* Wed May 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix config_subpackage logic

* Tue May 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove setuid bit on v4rcp and ksu in case the checks previously added
  don't close all of the problems in ksu
- apply patches from Jeffrey Schiller to fix overruns Chris Evans found
- reintroduce configs subpackage for use in the errata
- add PreReq: sh-utils

* Mon May 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix double-free in the kdc (patch merged into MIT tree)
- include convert-config-files script as a documentation file

* Wed May 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch ksu man page because the -C option never works
- add access() checks and disable debug mode in ksu
- modify default ksu build arguments to specify more directories in CMD_PATH
  and to use getusershell()

* Wed May 03 2000 Bill Nottingham <notting@redhat.com>
- fix configure stuff for ia64

* Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- add LDCOMBINE=-lc to configure invocation to use libc versioning (bug #10653)
- change Requires: for/in subpackages to include %{version}

* Wed Apr 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- add man pages for kerberos(1), kvno(1), .k5login(5)
- add kvno to -workstation

* Mon Apr 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- Merge krb5-configs back into krb5-libs.  The krb5.conf file is marked as
  a %%config file anyway.
- Make krb5.conf a noreplace config file.

* Thu Mar 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- Make klogind pass a clean environment to children, like NetKit's rlogind does.

* Wed Mar 08 2000 Nalin Dahyabhai <nalin@redhat.com>
- Don't enable the server by default.
- Compress info pages.
- Add defaults for the PAM module to krb5.conf

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- Correct copyright: it's exportable now, provided the proper paperwork is
  filed with the government.

* Fri Mar 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply Mike Friedman's patch to fix format string problems
- don't strip off argv[0] when invoking regular rsh/rlogin

* Thu Mar 02 2000 Nalin Dahyabhai <nalin@redhat.com>
- run kadmin.local correctly at startup

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- pass absolute path to kadm5.keytab if/when extracting keys at startup

* Sat Feb 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix info page insertions

* Wed Feb  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak server init script to automatically extract kadm5 keys if
  /var/kerberos/krb5kdc/kadm5.keytab doesn't exist yet
- adjust package descriptions

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix for potentially gzipped man pages

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix comments in krb5-configs

* Fri Jan  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- move /usr/kerberos/bin to end of PATH

* Tue Dec 28 1999 Nalin Dahyabhai <nalin@redhat.com>
- install kadmin header files

* Tue Dec 21 1999 Nalin Dahyabhai <nalin@redhat.com>
- patch around TIOCGTLC defined on alpha and remove warnings from libpty.h
- add installation of info docs
- remove krb4 compat patch because it doesn't fix workstation-side servers

* Mon Dec 20 1999 Nalin Dahyabhai <nalin@redhat.com>
- remove hesiod dependency at build-time

* Sun Dec 19 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- rebuild on 1.1.1

* Thu Oct  7 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- clean up init script for server, verify that it works [jlkatz]
- clean up rotation script so that rc likes it better
- add clean stanza

* Mon Oct  4 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- backed out ncurses and makeshlib patches
- update for krb5-1.1
- add KDC rotation to rc.boot, based on ideas from Michael's C version

* Mon Sep 26 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- added -lncurses to telnet and telnetd makefiles

* Mon Jul  5 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- added krb5.csh and krb5.sh to /etc/profile.d

* Mon Jun 22 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- broke out configuration files

* Mon Jun 14 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- fixed server package so that it works now

* Sat May 15 1999 Nalin Dahyabhai <nsdahya1@eos.ncsu.edu>
- started changelog
- updated existing 1.0.5 RPM from Eos Linux to krb5 1.0.6
- added --force to makeinfo commands to skip errors during build
